Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.custom.model
Interface VCustomControl

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VContainedElement, VControl, VElement

All Known Implementing Classes:
  VCustomControlImpl

    public interface VCustomControl

extends VControl

A representation of the model object 'Control'.

The following features are supported:

- `Bundle Name`
- `Class Name`

Since:
  1.3
See Also:
  `VCustomPackage.getCustomControl()`

Method Summary
`String` | `getBundleName()` Returns the value of the 'Bundle Name' attribute.
`String` | `getClassName()` Returns the value of the 'Class Name' attribute.
`void` | `setBundleName(String value)` Sets the value of the '`Bundle Name`' attribute.
`void` | `setClassName(String value)` Sets the value of the '`Class Name`' attribute.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VControl
`getDomainModelReference, getLabelAlignment, setDomainModelReference, setDomainModelReference, setDomainModelReference, setLabelAlignment`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VElement
`getAttachments, getDiagnostic, getLabel, getName, isEnabled, isReadonly, isVisible, setDiagnostic, setEnabled, setLabel, setName, setReadonly, setVisible`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getBundleName

    String getBundleName()

  Returns the value of the 'Bundle Name' attribute.

  If the meaning of the 'Bundle Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bundle Name' attribute.
  See Also:
    `setBundleName(String)`, `VCustomPackage.getCustomControl_BundleName()`

### setBundleName

    void setBundleName(String value)

  Sets the value of the '`Bundle Name`' attribute.

  Parameters:
    `value` - the new value of the 'Bundle Name' attribute.
  See Also:
    `getBundleName()`

### getClassName

    String getClassName()

  Returns the value of the 'Class Name' attribute.

  If the meaning of the 'Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `setClassName(String)`, `VCustomPackage.getCustomControl_ClassName()`

### setClassName

    void setClassName(String value)

  Sets the value of the '`Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Class Name' attribute.
  See Also:
    `getClassName()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.